#ifndef _LOAD_PPM_h
#define _LOAD_PPM_h

#include <stdlib.h>
#include <fstream.h>
#include <limits.h>
#include <string.h>
#include <iostream>
#include <stdio.h>
#include <iomanip>

using namespace std;

class LoadPPM
{
protected:
	int _error_number;

public:
	LoadPPM(unsigned char*&, char*, long&, long&);

	int GetErrorNo() {return _error_number;};

protected:
			 bool GetNextPPMLine(ifstream&, char*, short);
	inline int  GetNextNumber(char*&);
}; // class LoadPPM

int LoadPPM::GetNextNumber(char*& p_work_text)
{
	int  length, value;

	value = atoi(p_work_text);
	length = strlen(p_work_text);

	while((*p_work_text != ' ') && (*p_work_text != 0))
		p_work_text++;

	if(*p_work_text == 0) value = -1;
	else p_work_text++;

	return value;
} // LoadPPM::GetNextNumber
#endif
